# frozen_string_literal: true

module Rancher
  module Api
    class Azureconfig
      include Her::Model
      include Helpers::Model

      belongs_to :client
      belongs_to :subscription

      attributes :availabilitySet, :clientId, :clientSecret, :customData, :dns,
                 :dockerPort, :environment, :image, :location, :noPublicIp,
                 :openPort, :privateIpAddress, :resourceGroup, :size, :sshUser,
                 :staticPublicIp, :storageType, :subnet, :subnetPrefix, :subscriptionId,
                 :usePrivateIp, :vnet
    end
  end
end
