# frozen_string_literal: true

module Rancher
  module Api
    class Backuptarget
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :backups

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :state,
                 :uuid, :transitioning, :transitioningMessage, :transitioningProgress, :nfsConfig
    end
  end
end
