# frozen_string_literal: true

module Rancher
  module Api
    class Containerevent
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :host
      has_one :host
      has_one :account

      attributes :accountId, :created, :data, :externalFrom, :externalId,
                 :externalStatus, :externalTimestamp, :hostId, :id, :kind,
                 :reportedHostUuid, :state, :transitioning, :transitioningMessage, :transitioningProgress,
                 :dockerInspect
    end
  end
end
