# frozen_string_literal: true

module Rancher
  module Api
    class Externalevent
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :reportedaccount
      has_one :reportedaccount
      has_one :account

      attributes :accountId, :created, :data, :eventType, :externalId,
                 :id, :kind, :reportedAccountId, :state, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
