# frozen_string_literal: true

module Rancher
  module Api
    class Externalhandler
      include Her::Model
      include Helpers::Model

      has_many :externalhandlerprocesses
      has_many :externalhandlerexternalhandlerprocessmaps

      attributes :created, :data, :description, :id, :kind,
                 :name, :priority, :removeTime, :removed, :state,
                 :uuid, :transitioning, :transitioningMessage, :transitioningProgress, :processConfigs,
                 :retries, :timeoutMillis
    end
  end
end
