# frozen_string_literal: true

module Rancher
  module Api
    class Genericobject
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :key, :kind, :name, :removeTime, :removed,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :resourceData
    end
  end
end
