# frozen_string_literal: true

module Rancher
  module Api
    class Identity
      include Her::Model
      include Helpers::Model

      belongs_to :project

      attributes :all, :externalId, :externalIdType, :id, :login,
                 :name, :profilePicture, :profileUrl, :projectId, :role
    end
  end
end
