# frozen_string_literal: true

module Rancher
  module Api
    class Instancelink
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :instance
      belongs_to :targetinstance
      has_one :targetinstance
      has_one :instance
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :instanceId, :kind, :linkName, :name, :removeTime,
                 :removed, :state, :targetInstanceId, :uuid, :transitioning,
                 :transitioningMessage, :transitioningProgress, :ports
    end
  end
end
