# frozen_string_literal: true

module Rancher
  module Api
    class Ipaddress
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :network
      has_one :account
      has_one :network
      has_many :publicports
      has_many :hosts
      has_many :privateports

      attributes :accountId, :address, :created, :data, :description,
                 :id, :kind, :name, :networkId, :removeTime,
                 :removed, :state, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress
    end
  end
end
