# frozen_string_literal: true

module Rancher
  module Api
    class Physicalhost
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :hosts

      attributes :accountId, :created, :data, :description, :driver,
                 :externalId, :id, :kind, :name, :removeTime,
                 :removed, :state, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress
    end
  end
end
