# frozen_string_literal: true

module Rancher
  module Api
    class Portrule
      include Her::Model
      include Helpers::Model

      belongs_to :service

      attributes :backendName, :hostname, :path, :priority, :protocol,
                 :selector, :serviceId, :sourcePort, :targetPort
    end
  end
end
