# frozen_string_literal: true

module Rancher
  module Api
    class Processinstance
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :resource
      belongs_to :runningprocessserver
      belongs_to :startprocessserver
      has_one :account
      has_many :processexecutions

      attributes :accountId, :data, :endTime, :executionCount, :exitReason,
                 :id, :phase, :priority, :processName, :resourceId,
                 :resourceType, :result, :runAfter, :runningProcessServerId, :startProcessServerId,
                 :startTime
    end
  end
end
