# frozen_string_literal: true

module Rancher
  module Api
    class Publicendpoint
      include Her::Model
      include Helpers::Model

      belongs_to :host
      belongs_to :instance
      belongs_to :service

      attributes :hostId, :instanceId, :ipAddress, :port, :serviceId
    end
  end
end
