# frozen_string_literal: true

module Rancher
  module Api
    class Publish
      include Her::Model
      include Helpers::Model

      belongs_to :resource

      attributes :data, :id, :name, :previousIds, :publisher,
                 :resourceId, :resourceType, :time, :transitioning, :transitioningInternalMessage,
                 :transitioningMessage, :transitioningProgress
    end
  end
end
