# frozen_string_literal: true

module Rancher
  module Api
    class Pulltask
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :state,
                 :transitioning, :transitioningMessage, :transitioningProgress, :uuid, :image,
                 :labels, :mode, :status
    end
  end
end
