# frozen_string_literal: true

module Rancher
  module Api
    class Register
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :key, :kind, :name, :removeTime, :removed,
                 :resourceData, :state, :transitioning, :transitioningMessage, :transitioningProgress,
                 :uuid, :accessKey, :secretKey
    end
  end
end
