# frozen_string_literal: true

module Rancher
  module Api
    class Registrationtoken
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :images
      has_many :instances

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :state,
                 :transitioning, :transitioningMessage, :transitioningProgress, :uuid, :command,
                 :image, :token, :registrationUrl
    end
  end
end
