# frozen_string_literal: true

module Rancher
  module Api
    class Scheduledupgrade
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account

      attributes :accountId, :created, :data, :id, :kind,
                 :removeTime, :removed, :stackId, :started, :state,
                 :uuid, :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
