# frozen_string_literal: true

module Rancher
  module Api
    class Serviceconsumemap
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :consumedservice
      belongs_to :service
      has_one :service
      has_one :account
      has_one :consumedservice
      has_many :instancelinks

      attributes :accountId, :consumedServiceId, :created, :data, :description,
                 :id, :kind, :name, :removeTime, :removed,
                 :serviceId, :state, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress, :ports
    end
  end
end
