# frozen_string_literal: true

module Rancher
  module Api
    class Serviceevent
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :host
      belongs_to :instance
      has_one :instance
      has_one :host
      has_one :account

      attributes :accountId, :created, :data, :description, :externalTimestamp,
                 :healthcheckUuid, :hostId, :id, :instanceId, :kind,
                 :name, :removeTime, :removed, :reportedHealth, :state,
                 :uuid, :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
