# frozen_string_literal: true

module Rancher
  module Api
    class Serviceexposemap
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :instance
      belongs_to :service
      has_one :instance
      has_one :service
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :instanceId, :ipAddress, :kind, :managed, :name,
                 :removeTime, :removed, :serviceId, :state, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
