# frozen_string_literal: true

module Rancher
  module Api
    class Subnet
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :network
      has_one :account
      has_one :network
      has_many :ipaddresses

      attributes :accountId, :cidrSize, :created, :data, :description,
                 :endAddress, :gateway, :id, :kind, :name,
                 :networkAddress, :networkId, :removeTime, :removed, :startAddress,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress
    end
  end
end
