# frozen_string_literal: true

module Rancher
  module Api
    module Helpers
      module Project
        def self.included(base)
          base.extend(ClassMethods)
        end

        module ClassMethods
          def find_by_name(name:)
            # filters not working for name yet, so using select
            all.reject { |e| e.state.eql?('purged') }.select { |e| e.name.eql?(name) }
          end
        end
      end
    end
  end
end
