# frozen_string_literal: true

module Rancher
  module Api
    class Amazonec2config
      include Her::Model
      include Helpers::Model

      belongs_to :subnet
      belongs_to :vpc

      attributes :accessKey, :ami, :blockDurationMinutes, :deviceName, :endpoint,
                 :iamInstanceProfile, :insecureTransport, :instanceType, :keypairName, :monitoring,
                 :openPort, :privateAddressOnly, :region, :requestSpotInstance, :retries,
                 :rootSize, :secretKey, :securityGroup, :sessionToken, :spotPrice,
                 :sshKeypath, :sshUser, :subnetId, :tags, :useEbsOptimizedInstance,
                 :usePrivateAddress, :userdata, :volumeType, :vpcId, :zone
    end
  end
end
