# frozen_string_literal: true

module Rancher
  module Api
    class Auditlog
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :authenticatedasaccount
      belongs_to :authenticatedasentity
      belongs_to :resource
      has_one :authenticatedasaccount
      has_one :account

      attributes :accountId, :authType, :authenticatedAsAccountId, :authenticatedAsIdentityId, :clientIp,
                 :created, :description, :eventType, :id, :kind,
                 :resourceId, :resourceType, :responseCode, :requestObject, :responseObject
    end
  end
end
