# frozen_string_literal: true

module Rancher
  module Api
    class Azureadconfig
      include Her::Model
      include Helpers::Model

      belongs_to :client
      belongs_to :tenant

      attributes :accessMode, :adminAccountPassword, :adminAccountUsername, :clientId, :domain,
                 :enabled, :name, :tenantId
    end
  end
end
