# frozen_string_literal: true

module Rancher
  module Api
    class Configitemstatus
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :agent
      has_one :agent
      has_one :account

      attributes :accountId, :agentId, :appliedUpdated, :appliedVersion, :id,
                 :name, :requestedUpdated, :requestedVersion, :sourceVersion
    end
  end
end
