# frozen_string_literal: true

module Rancher
  module Api
    class Defaultnetwork
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :ipaddresses
      has_many :subnets

      attributes :accountId, :created, :data, :defaultPolicyAction, :description,
                 :dns, :dnsSearch, :hostPorts, :id, :kind,
                 :metadata, :name, :policy, :removeTime, :removed,
                 :state, :subnets, :transitioning, :transitioningMessage, :transitioningProgress,
                 :uuid
    end
  end
end
