# frozen_string_literal: true

module Rancher
  module Api
    class Digitaloceanconfig
      include Her::Model
      include Helpers::Model

      attributes :accessToken, :backups, :image, :ipv6, :privateNetworking,
                 :region, :size, :sshKeyFingerprint, :sshKeyPath, :sshPort,
                 :sshUser, :userdata
    end
  end
end
