# frozen_string_literal: true

module Rancher
  module Api
    class Externalhandlerexternalhandlerprocessmap
      include Her::Model
      include Helpers::Model

      belongs_to :externalhandler
      belongs_to :externalhandlerprocess
      has_one :externalhandler
      has_one :externalhandlerprocess

      attributes :created, :data, :description, :eventName, :externalHandlerId,
                 :externalHandlerProcessId, :id, :kind, :name, :onError,
                 :removeTime, :removed, :state, :uuid, :transitioning,
                 :transitioningMessage, :transitioningProgress
    end
  end
end
