# frozen_string_literal: true

module Rancher
  module Api
    class Externalhostevent
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :reportedaccount
      belongs_to :host
      has_one :reportedaccount
      has_one :account

      attributes :accountId, :created, :data, :eventType, :externalId,
                 :id, :kind, :reportedAccountId, :state, :transitioning,
                 :transitioningMessage, :transitioningProgress, :uuid, :hostLabel, :hostId,
                 :deleteHost
    end
  end
end
