# frozen_string_literal: true

module Rancher
  module Api
    class Label
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :instances
      has_many :hosts

      attributes :accountId, :created, :data, :description, :id,
                 :key, :kind, :name, :removeTime, :removed,
                 :state, :uuid, :value, :transitioning, :transitioningMessage,
                 :transitioningProgress
    end
  end
end
