# frozen_string_literal: true

module Rancher
  module Api
    class Machinedriver
      include Her::Model
      include Helpers::Model

      attributes :created, :data, :description, :id, :kind,
                 :name, :removeTime, :removed, :state, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress, :url, :externalId,
                 :builtin, :defaultActive, :activateOnCreate, :checksum, :uiUrl
    end
  end
end
