# frozen_string_literal: true

module Rancher
  module Api
    class Networkdriver
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :service
      has_one :service
      has_one :account
      has_many :networks

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :serviceId,
                 :state, :uuid, :transitioning, :transitioningMessage, :transitioningProgress,
                 :defaultNetwork, :cniConfig, :networkMetadata
    end
  end
end
