# frozen_string_literal: true

module Rancher
  module Api
    class Openldapconfig
      include Her::Model
      include Helpers::Model

      attributes :accessMode, :allowedIdentities, :connectionTimeout, :domain, :enabled,
                 :groupDNField, :groupMemberMappingAttribute, :groupMemberUserAttribute, :groupNameField,
                 :groupObjectClass, :groupSearchDomain, :groupSearchField, :loginDomain, :name,
                 :port, :server, :serviceAccountPassword, :serviceAccountUsername, :tls, :userDisabledBitMask,
                 :userEnabledAttribute, :userLoginField, :userMemberAttribute, :userNameField, :userObjectClass,
                 :userSearchField
    end
  end
end
