# frozen_string_literal: true

module Rancher
  module Api
    class Password
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :images
      has_many :instances

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :publicValue, :removeTime, :removed,
                 :secretValue, :state, :transitioning, :transitioningMessage, :transitioningProgress,
                 :uuid
    end
  end
end
