# frozen_string_literal: true

module Rancher
  module Api
    class Projectmember
      include Her::Model
      include Helpers::Model

      belongs_to :project
      has_one :project

      attributes :created, :data, :description, :externalId, :externalIdType,
                 :id, :kind, :name, :projectId, :removeTime,
                 :removed, :role, :state, :uuid, :transitioning,
                 :transitioningMessage, :transitioningProgress
    end
  end
end
