# frozen_string_literal: true

module Rancher
  module Api
    class Projecttemplate
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account
      has_many :accounts

      attributes :accountId, :created, :data, :description, :externalId,
                 :id, :isPublic, :kind, :name, :removeTime,
                 :removed, :state, :uuid, :transitioning, :transitioningMessage,
                 :transitioningProgress, :stacks
    end
  end
end
