# frozen_string_literal: true

module Rancher
  module Api
    class Servicelog
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :instance
      belongs_to :service
      belongs_to :transaction
      has_one :instance
      has_one :service
      has_one :account

      attributes :accountId, :created, :data, :description, :endTime,
                 :eventType, :id, :instanceId, :kind, :level,
                 :serviceId, :subLog, :transactionId
    end
  end
end
