# frozen_string_literal: true

module Rancher
  module Api
    class Taskinstance
      include Her::Model
      include Helpers::Model

      belongs_to :server
      belongs_to :task
      has_one :task

      attributes :endTime, :exception, :id, :name, :serverId,
                 :startTime, :taskId
    end
  end
end
