# frozen_string_literal: true

module Rancher
  module Api
    class Userpreference
      include Her::Model
      include Helpers::Model

      belongs_to :account
      has_one :account

      attributes :accountId, :created, :data, :description, :id,
                 :kind, :name, :removeTime, :removed, :state,
                 :uuid, :value, :transitioning, :transitioningMessage, :transitioningProgress,
                 :all
    end
  end
end
