# frozen_string_literal: true

module Rancher
  module Api
    class Volumetemplate
      include Her::Model
      include Helpers::Model

      belongs_to :account
      belongs_to :stack
      has_one :stack
      has_one :account
      has_many :volumes

      attributes :accountId, :created, :data, :description, :driver,
                 :external, :id, :kind, :name, :perContainer,
                 :removeTime, :removed, :stackId, :state, :uuid,
                 :transitioning, :transitioningMessage, :transitioningProgress, :driverOpts
    end
  end
end
